net.corda.node.services.statemachine

## Class NormalSessionEnd

- net.corda.node.services.statemachine.NormalSessionEnd

- All Implemented Interfaces:
    ExistingSessionMessage, SessionEnd, SessionMessage

      public class NormalSessionEnd
      implements SessionEnd

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalSessionEnd(long recipientSessionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `component1()`
    `NormalSessionEnd` | `copy(long recipientSessionId)`
    `boolean` | `equals(java.lang.Object p)`
    `long` | `getRecipientSessionId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.ExistingSessionMessage

      `getRecipientSessionId`

- - ### Constructor Detail

    - #### NormalSessionEnd

          public NormalSessionEnd(long recipientSessionId)

  - ### Method Detail

    - #### getRecipientSessionId

          public long getRecipientSessionId()

    - #### component1

          public long component1()

    - #### copy

          public NormalSessionEnd copy(long recipientSessionId)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)